# SSHRuntimeException (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.common
Class SSHRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.schmizz.sshj.common.SSHRuntimeException

All Implemented Interfaces:
  Serializable

    public class SSHRuntimeException

extends RuntimeException

Represents unrecoverable exceptions in the `net.schmizz.sshj` package.

See Also:
  Serialized Form

Constructor Summary
`SSHRuntimeException()`
`SSHRuntimeException(String message)`
`SSHRuntimeException(String message, Throwable cause)`
`SSHRuntimeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHRuntimeException

    public SSHRuntimeException()

### SSHRuntimeException

    public SSHRuntimeException(String message)

### SSHRuntimeException

    public SSHRuntimeException(String message,
                               Throwable cause)

### SSHRuntimeException

    public SSHRuntimeException(Throwable cause)

Copyright © 2009-2012. All Rights Reserved.